Subject: [p2p-sip] Review of draft-bryan-sipping-p2p-02

From: ekr at networkresonance.com (Eric Rescorla)
Date: Sun, 12 Mar 2006 21:40:24 -0800

"David Barrett" <dbarrett at quinthar.com> writes:
>> -----Original Message-----
>> From: Eric Rescorla
>> These aren't security problems that can be solved by gluing on
>> some crypto at the end of the day. Security for DHTs is a
>> major unsolved research problem, so this is rather worrisome.
>
> Given that a secure DHT is an unsolved problem, and given the IETF only
> deals with solved problems, should we:
>
> 1) Standardize the best practices today, despite their insecurity.
>
> 	-- OR --
>
> 2) Wait until a secure DHT has been invented and reconvene.
>
> I vote for #1.  I certainly don't vote for the unstated #3: "Simultaneously
> invent and standardize a new variant of DHT that is secure (for some
> definition of 'secure')."

There's a point below which the security of the system is so bad
that it shouldn't be standardized. The question is whether
that's the case here.

-Ekr

---

From: dbarrett at quinthar.com (David Barrett)
Date: Sun, 12 Mar 2006 22:19:00 -0800

> From: Eric Rescorla [mailto:ekr at networkresonance.com]
> 

That's a fair question, how would you answer it?

If your answer is "yes, DHTs are so insecure that standardization is
pointless" then would you advise that we dissolve and reconvene later?

If your answer is "no, DHTs aren't so insecure so as to make standardization
pointless" then would you advise that we continue on our current path?

Or do you have another answer such as "yes, the DHT we're currently
discussing is so insecure that standardization is pointless, and therefore
we should <insert alternate plan>."

I'm in the second camp (keep on the current path, despite outstanding
security concerns).  I'd be eager to hear something in the third camp (solve
the security problems).  I'm not in favor of the first camp.

Which camp are you advocating?

-david